Bug 138287 - Update of up2date wipes out /etc/sysconfig/rhn/sources
Update of up2date wipes out /etc/sysconfig/rhn/sources
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-07 10:39 EST by Stef Van Vlierberghe
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:17:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stef Van Vlierberghe 2004-11-07 10:39:19 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
Fresh install of FC3test3
Up2date red middle finger clicked
Start up2date
Selected all packages, including up2date, loaded all headers, removed
python to work around reported dependency problem -> gets frozen after
downloading first few packages.
Re-started selecting only up2date package to be updated.
Update seems to work, red finger gone, saying "all is updated".
But I had seen many newer versions of packages (e.g. I saw a new gcc),
so this must be a lie.
After checking config I find /etc/sysconfig/rhn/sources is simply GONE.
If up2date is really unusable, then please drop it from Fedora CORE3,
having no automation for updating package is MUCH better than having a
crappy non-working solution (this is just an assumption, but a query
on the amount of open bugs on up2date seems to be consistent with this
assumption, up2date seems to be a single-support-person product that
is collecting dust in some lost drawer).


Version-Release number of selected component (if applicable):
4.3.47-5

How reproducible:
Didn't try

Steps to Reproduce:
1. install FC3 test3
2. run up2date on all packages
3. run up2date on just up2date (hint: exclude up2date-gnome or the
forward button greys out)
    

Actual Results:  up2date sais all is in sync.

Expected Results:  up2date should support installing all new versions.

Additional info:

sources file was not renamed sources.orig, sources.$(timestamp) or
moved to /tmp or some other backup area as decent software would do. A
find -name 'sources*' detects no file on the whole filesystem.
Comment 1 Matthew Miller 2006-07-10 18:27:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:17:56 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.